Package com.erwin.api.beans.scheduler

# Class MetadataELNJobOptions

java.lang.Object
com.erwin.api.beans.scheduler.JobOptions
com.erwin.api.beans.scheduler.MetadataELNJobOptions

public class MetadataELNJobOptions extends JobOptions

Author:
  Srinivas Javvaji

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MetadataELNJobOptions()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addCatalogSelection(String objectType, Long catalogId)`
  `void`
  `addCatalogsSelection(String objectType, List<Long> catalogIds)`
  `Map<String,List<Long>>`
  `getCatalogSelection()`
  `int`
  `getELNScope()`
  `String`
  `getSplitter()`
  `void`
  `setCatalogSelection(Map<String,List<Long>> catalogSelection)`
  `void`
  `setELNScope(int elnScope)`
  `void`
  `setSplitter(String splitter)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MetadataELNJobOptions

    public MetadataELNJobOptions()

- ## Method Details

  - ### getCatalogSelection

    public Map<String,List<Long>> getCatalogSelection()
    Returns:
      the catalogSelection

  - ### setCatalogSelection

    public void setCatalogSelection(Map<String,List<Long>> catalogSelection)
    Parameters:
      `catalogSelection` - the catalogSelection to set

  - ### getSplitter

    public String getSplitter()
    Returns:
      the splitter

  - ### setSplitter

    public void setSplitter(String splitter)
    Parameters:
      `splitter` - the splitter to set

  - ### getELNScope

    public int getELNScope()
    Returns:
      the elnScope

  - ### setELNScope

    public void setELNScope(int elnScope)
    Parameters:
      `elnScope` - the elnScope to set

  - ### addCatalogsSelection

    public void addCatalogsSelection(String objectType, List<Long> catalogIds)
    Parameters:
      `objectType` -
      `catalogIds` -

  - ### addCatalogSelection

    public void addCatalogSelection(String objectType, Long catalogId)
    Parameters:
      `objectType` -
      `catalogId` -